<?php
/*
Plugin Name: Divi Theme Builder Link
Description: Adds a custom link to the Divi Theme Builder page in the WordPress Toolbar.
Version: 1.0
Author: Your Name
*/

// Add your custom code here (the modified code from previous response)

function custom_toolbar_link($wp_admin_bar) {
    $args = array(
        'id'    => 'divithemebuilderlink',
        'title' => 'Divi Theme Builder',
        'href'  => esc_url( get_home_url() . '/wp-admin/admin.php?page=et_theme_builder' ),
        'meta'  => array(
            'class' => 'divithemebuilderlink',
            'title' => 'Divi Theme Builder'
        )
    );
    $wp_admin_bar->add_node($args);
}
add_action('admin_bar_menu', 'custom_toolbar_link', 999);
